GET /pool/{uuid}/runtime/server/internal/

GET /pool/{uuid}/runtime/server/internal/

/pool/{uuid}/runtime/server/internal/

Request
URI
GET
https://{api_host}/api/pool/{uuid}/runtime/server/internal
COPY
Path Parameters
string
uuid
Required  

UUID of the object to fetch

Header Parameters
string
X-Avi-Tenant
Optional

Avi Tenant Header

string
X-Avi-Tenant-UUID
Optional

Avi Tenant Header UUID

string
X-CSRFToken
Optional

Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.

string
X-Avi-Version
Required  

The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.


Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ServerInternal of type(s) application/json
{
    "chash_arcs_sum": 0,
    "ck_prst_id": 0,
    "ck_prst_id_64": 0,
    "current_open_conns": 0,
    "gslb_failure_code": "string",
    "gslb_no_hm": false,
    "gslb_shard_hm_failure": "string",
    "gslb_site_name": "string",
    "gslb_site_unreachable": false,
    "gslb_vs_name": "string",
    "horizon_internal_port_info": {
        "horizon_fe_blast_port": 0,
        "horizon_fe_blast_port_map_present": false,
        "horizon_fe_l7_port": 0,
        "horizon_fe_l7_port_map_present": false,
        "horizon_fe_pcoip_port": 0,
        "horizon_fe_pcoip_port_map_present": false
    },
    "ip_addr": {
        "addr": "string",
        "type": "string"
    },
    "ipv4_prst_id": 0,
    "l7cp_stats": {
        "bound_size": 0,
        "busy_size": 0,
        "free_size": 0,
        "num_adds": 0,
        "num_close_evicts": 0,
        "num_dels": 0,
        "num_error_evicts": 0,
        "num_full_evicts": 0,
        "num_full_uncached": 0,
        "num_http2_invalid_frame_evicts": 0,
        "num_idle_evicts": 0,
        "num_lifetimes": 0,
        "num_requested": 0,
        "num_reuse_evicts": 0,
        "num_reused": 0,
        "num_strategy_converted": 0
    },
    "latitude": 0,
    "loc_invalid": false,
    "local": 0,
    "location": "string",
    "longitude": 0,
    "max_conn_pc": 0,
    "max_conn_se": 0,
    "nat_hostname": "string",
    "nat_ip_addr": {
        "addr": "string",
        "type": "string"
    },
    "nat_port": 0,
    "negative_open_conns": 0,
    "num_chash_unique_keys": 0,
    "oper_status": {
        "last_changed_time": {
            "secs": 0,
            "usecs": 0
        },
        "reason": [
            "string"
        ],
        "reason_code": 0,
        "reason_code_string": "string",
        "state": "string"
    },
    "port": 0,
    "proc_id": "string",
    "prst_hdr_val": "string",
    "real_latitude": 0,
    "real_longitude": 0,
    "ref_count": 0,
    "se_uuid": "string",
    "server_config": {
        "autoscaling_group_name": "string",
        "availability_zone": "string",
        "description": "string",
        "discovered_networks": [
            {
                "network_ref": "string",
                "subnet": [
                    {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    }
                ],
                "subnet6": [
                    {
                        "ip_addr": {
                            "addr": "string",
                            "type": "string"
                        },
                        "mask": 0
                    }
                ]
            }
        ],
        "enabled": false,
        "external_orchestration_id": "string",
        "external_uuid": "string",
        "health_monitor_refs": [
            "string"
        ],
        "hostname": "string",
        "ip": {
            "addr": "string",
            "type": "string"
        },
        "location": {
            "latitude": "number",
            "longitude": "number",
            "name": "string",
            "tag": "string"
        },
        "mac_address": "string",
        "nw_ref": "string",
        "port": 0,
        "prst_hdr_val": "string",
        "ratio": 0,
        "resolve_server_by_dns": false,
        "rewrite_host_header": false,
        "server_node": "string",
        "static": false,
        "verify_network": false,
        "vm_ref": "string"
    },
    "server_l4stats": {
        "available_capacity": 0,
        "capacity": 0,
        "complete_conns": 0,
        "conn_dropped_after_est": 0,
        "conn_dropped_before_est": 0,
        "conn_dropped_before_syn_sent": 0,
        "conn_duration": 0,
        "connection_estb_time_be": 0,
        "connection_setup_time": 0,
        "connections_dropped": 0,
        "dup_ack_retransmits": 0,
        "errored_connections": 0,
        "est_capacity": 0,
        "finished_conns": 0,
        "health_check_failures": 0,
        "health_status": 0,
        "lb_fail_count": 0,
        "lossy_connections": 0,
        "lossy_req": 0,
        "new_established_conns": 0,
        "node_obj_id": "string",
        "num_conn_est_time_exceeded_flows_be": 0,
        "num_state_changes": 0,
        "open_conns": 0,
        "out_of_orders": 0,
        "rtt": 0,
        "rtt_valid_connections": 0,
        "rx_bytes": 0,
        "rx_bytes_absolute": 0,
        "rx_goodput": 0,
        "rx_pkts": 0,
        "rx_pkts_absolute": 0,
        "rx_tcp_resets": 0,
        "rx_zero_window_size_events": 0,
        "sack_retransmits": 0,
        "sctp_inits_sent": 0,
        "server_count": 0,
        "server_uptime": 0,
        "syns_sent": 0,
        "timeout_retransmits": 0,
        "tx_bytes": 0,
        "tx_bytes_absolute": 0,
        "tx_goodput": 0,
        "tx_pkts": 0,
        "tx_pkts_absolute": 0,
        "tx_zero_window_size_events": 0
    },
    "server_l7stats": {
        "application_response_time": 0,
        "complete_responses": 0,
        "concurrent_sessions": 0,
        "error_responses": 0,
        "finished_sessions": 0,
        "get_reqs": 0,
        "get_resp_latency": 0,
        "get_resp_latency_bucket1": 0,
        "get_resp_latency_bucket2": 0,
        "lb_fail_count": 0,
        "node_obj_id": "string",
        "other_reqs": 0,
        "other_resp_latency": 0,
        "other_resp_latency_bucket1": 0,
        "other_resp_latency_bucket2": 0,
        "post_reqs": 0,
        "post_resp_latency": 0,
        "post_resp_latency_bucket1": 0,
        "post_resp_latency_bucket2": 0,
        "reqs_finished_sessions": 0,
        "resp_1xx": 0,
        "resp_2xx": 0,
        "resp_3xx": 0,
        "resp_4xx": 0,
        "resp_4xx_errors": 0,
        "resp_5xx": 0,
        "resp_5xx_errors": 0,
        "server_count": 0,
        "server_uptime": 0,
        "timeouts": 0,
        "total_requests": 0,
        "total_responses": 0
    },
    "server_node_name": "string",
    "server_stats": {
        "bad_connections": 0,
        "capest_rand_max_conn_skipped": 0,
        "current_connections": 0,
        "current_load": 0,
        "current_tasks": 0,
        "current_tasks_fb": 0,
        "fs_load_thresh": 0,
        "inlhm_bad_ewma": 0,
        "inlhm_down_duration": 0,
        "inlhm_good_ewma": 0,
        "inlhm_letthrough": 0,
        "inlhm_skip_bypassed": 0,
        "inlhm_skipped": 0,
        "lb_per_se_agg_curr_conn": 0,
        "no_lport": 0,
        "pre_closed_connections": 0,
        "preference_order": 0,
        "response_time": 0,
        "response_time_var": 0,
        "rl_bad_fb": 0,
        "rl_good_fb": 0,
        "skipped_count": 0,
        "skipped_get_next_count": 0,
        "total_connections": 0
    },
    "slow_start": {
        "count_limit": 0,
        "delta_max_conn": 0,
        "delta_time": 0,
        "ref_count": 0
    },
    "tag": "string",
    "vm_powered_off_count": 0,
    "vm_powered_on": false,
    "vm_powered_on_count": 0
}
integer As uint32 As uint32
chash_arcs_sum
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
ck_prst_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
ck_prst_id_64
Optional

Server id for persistence. Field introduced in 32.1.4. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int64 As int64
current_open_conns
Optional

Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
gslb_failure_code
Optional

Enum options - ARP_UNRESOLVED, CONNECTION_REFUSED, CONNECTION_TIMEOUT, RESPONSE_CODE_MISMATCH, PAYLOAD_CONTENT_MISMATCH, SERVER_UNREACHABLE, CONNECTION_RESET, CONNECTION_ERROR, HOST_ERROR, ADDRESS_ERROR, NO_PORT, PAYLOAD_TIMEOUT, NO_RESPONSE, NO_RESOURCES, SSL_ERROR, SSL_CERT_ERROR, PORT_UNREACHABLE, SCRIPT_ERROR, OTHER_ERROR, SERVER_DISABLED, REMOTE_STATE, MAINTENANCE_RESPONSE_CODE_MATCH, MAINTENANCE_PAYLOAD_CONTENT_MATCH, CHUNKED_RESPONSE_PAYLOAD_NOT_FOUND, GSLB_POOL_MEMBER_DOWN, GSLB_POOL_MEMBER_DISABLED, GSLB_POOL_MEMBER_STATE_UNKNOWN, INSUFFICIENT_HEALTH_MONITORS_UP, GSLB_POOL_MEMBER_REMOTE_STATE_UNKNOWN, RESPONSE_BUFFER_OVERFLOW, REQUEST_BUFFER_OVERFLOW, SERVER_AUTHENTICATION_ERR, INITIALIZATION_ERR, EXT_HM_ERROR, HTTP2_NOT_SUPPORTED. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gslb_no_hm
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
gslb_shard_hm_failure
Optional

Internal field to depict the remote HM failure of asharded GSLB member. Enum options - ARP_UNRESOLVED, CONNECTION_REFUSED, CONNECTION_TIMEOUT, RESPONSE_CODE_MISMATCH, PAYLOAD_CONTENT_MISMATCH, SERVER_UNREACHABLE, CONNECTION_RESET, CONNECTION_ERROR, HOST_ERROR, ADDRESS_ERROR, NO_PORT, PAYLOAD_TIMEOUT, NO_RESPONSE, NO_RESOURCES, SSL_ERROR, SSL_CERT_ERROR, PORT_UNREACHABLE, SCRIPT_ERROR, OTHER_ERROR, SERVER_DISABLED, REMOTE_STATE, MAINTENANCE_RESPONSE_CODE_MATCH, MAINTENANCE_PAYLOAD_CONTENT_MATCH, CHUNKED_RESPONSE_PAYLOAD_NOT_FOUND, GSLB_POOL_MEMBER_DOWN, GSLB_POOL_MEMBER_DISABLED, GSLB_POOL_MEMBER_STATE_UNKNOWN, INSUFFICIENT_HEALTH_MONITORS_UP, GSLB_POOL_MEMBER_REMOTE_STATE_UNKNOWN, RESPONSE_BUFFER_OVERFLOW, REQUEST_BUFFER_OVERFLOW, SERVER_AUTHENTICATION_ERR, INITIALIZATION_ERR, EXT_HM_ERROR, HTTP2_NOT_SUPPORTED. Field introduced in 18.2.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
gslb_site_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
gslb_site_unreachable
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
gslb_vs_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
horizon_internal_port_info
Optional

horizon_internal_port_info

object
ip_addr
Required  

ip_addr

integer As uint32 As uint32
ipv4_prst_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
l7cp_stats
Optional

l7cp_stats

integer As uint32 As uint32
latitude
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
loc_invalid
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
local
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
location
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
longitude
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
max_conn_pc
Optional

Field introduced in 17.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
max_conn_se
Optional

Field introduced in 17.1.2. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
nat_hostname
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
nat_ip_addr
Optional

nat_ip_addr

integer As int32 As int32
nat_port
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint64 As uint64
negative_open_conns
Optional

Field introduced in 17.2.5. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
num_chash_unique_keys
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
oper_status
Optional

oper_status

integer As int32 As int32
port
Required  

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
proc_id
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
prst_hdr_val
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
real_latitude
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
real_longitude
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As int32 As int32
ref_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

string
se_uuid
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
server_config
Optional

server_config

object
server_l4stats
Optional

server_l4stats

object
server_l7stats
Optional

server_l7stats

string
server_node_name
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

object
server_stats
Optional

server_stats

object
slow_start
Optional

slow_start

string
tag
Optional

Field introduced in 17.1.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vm_powered_off_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

boolean
vm_powered_on
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.

integer As uint32 As uint32
vm_powered_on_count
Optional

Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.


401

log in failed

Operation doesn't return any data structure

404

object not found

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/pool/{uuid}/runtime/server/internal